<?php
if( !class_exists( 'f70LddDownload' ) ){
class f70LddDownload{
	
	/*
	public function __construct(){
		
	}
	*/
	//public $table_name = F70_LDD__DB_TABLE_NAME_LIST;
	
	
	static public function check_download_key(){
		if( isset($_GET[F70_LDD__DL_PALAM_NAME]) ){
			$key = sanitize_text_field( $_GET[F70_LDD__DL_PALAM_NAME] );
			global $wpdb;
			$data = $wpdb->get_row(
				$wpdb->prepare( "SELECT * FROM " . F70_LDD__DB_TABLE_NAME_LIST . " WHERE dlkey = %s", $key )
			);
			return $data;
			
		}else{
			return false;
		}
	}
	
	//------ビュー設定
	static public function display_download(){
		$error_mes = '';
		$form_data = '';
		$atts = '';
		
		//サンプルURL
		//http://localhost:8888/dropbox/making/?page_id=5&f70ldd_download=VZs6geL8ydBPTY7zHkh5wlRN
		
		if( $data = self::check_download_key() ){
			
			if( $data->count >= 6 ) {
				$error_mes = __( 'The number of downloads has been exceeded.', 'f70-lead-document-download' );
				//$error_mes = 'ダウンロード回数を超えました。';
			}
			if( !empty( $data->formid ) ) {
				$form_data = get_post_meta( $data->formid );
				$atts = f70LddFunctions::get_form_settings( $data->formid );
				
				
			}
		}else{
			$error_mes = __( 'This URL is not available.', 'f70-lead-document-download' );
			//$error_mes = 'このURLはご利用いただけません。';
		}
		
		
		ob_start();
		if( empty( $error_mes ) ){
			include( F70_LDD__PLUGIN_DIR . 'views/download.php' );
		}else{
			include( F70_LDD__PLUGIN_DIR . 'views/download_ng.php' );
		}
		return ob_get_clean();
	}
	
	
	static public function get_file_data( $file_id ) {
		$file_data	=	array();
		$file	=	get_attached_file( $file_id );
		$file_metadata	=	wp_get_attachment_metadata( $file_id );//画像の時だけ入る？
		
		
		if( !empty( $file_metadata ) ) {
			if ( !empty( $file_metadata[ 'image_meta' ][ 'title' ] ) ) {
				$title = $file_metadata[ 'image_meta' ][ 'title' ];
			} elseif ( !empty( $file_metadata[ 'file' ] ) ) {
				$title = $file_metadata[ 'file' ];
			}
		} else {
			$title = get_the_title( $file_id );
			if( empty( $title ) ) {
				$title = esc_html( wp_basename( $file ) );
			}
		}
		//$file_name = 
		if ( !empty( $file_info[ 'image_meta' ][ 'title' ] ) ) {
			$file_title = $file_info[ 'image_meta' ][ 'title' ];
		}
		
		
		$url = wp_get_attachment_url( $file_id );
		
		
		if( !empty( $atts[ 'download_thumbnail_id_' . $i ] ) ) {
			$thumbnail_id = $atts[ 'download_thumbnail_id_' . $i ];
			$thumbnail_tag = '<img src="' . wp_get_attachment_url( $thumbnail_id ) . '">';
		} else {
			$thumbnail_tag = wp_get_attachment_image( $file_id, 'large', true );
		}
		
		
		
		//ファイルサイズ
		$file_size = false;
		if ( isset( $file_metadata['filesize'] ) ) {
			$file_size = $file_metadata['filesize'];
		} elseif ( file_exists( $file ) ) {
			$file_size = filesize( $file );
		}
		
		$file_data[ 'url' ]	=	$url;
		$file_data[ 'title' ]	=	$title;
		$file_data[ 'thumbnail_tag' ]	=	$thumbnail_tag;
		$file_data[ 'size' ]	=	$file_size;
		
		return $file_data;
	}

//----
}
}
?>