<?php
if( !class_exists( 'f70LddShortcodes' ) ){
class f70LddShortcodes{
	
	public function __construct() {
		
		add_shortcode( 'f70ldd_entry_form', array($this, 'shortcode_entry_form_tag') );
		add_shortcode( 'f70ldd_download', array($this, 'shortcode_download_tag') );
		
		//Yt3leRTvOAHqGrsPQ2bk1UFV
	}
	
	function shortcode_entry_form_tag( $atts ) {
		//エントリーフォーム ショートコード用
		$a = shortcode_atts( array(
			'form_id'	=>	'',
		), $atts );
		return $this->display_entry_form( $a['form_id'] );
	}
	
	public static function display_entry_form( $form_id = '' ) {
		//エントリーフォーム 表示振り分け
		if( empty( $form_id ) ) {
			if( is_singular() && ( get_post_type() == F70_LDD__POST_TYPE ) ) {
				global $post;
				$form_id = $post->ID;
			} else {
				return '<!-- no form id -->';
			}
		}
		
		$viewfile = 'entry';
		
		//Cookie削除リンク
		/*
		if( isset($_GET['f70ldd_delete_cookie']) ){
			if( $_GET['f70ldd_delete_cookie'] == get_option( 'f70ldd_cookie_delete_key' ) ) {
				if( current_user_can('administrator') ){
					f70LddEntry::delete_reject_cookie();
					wp_redirect( get_permalink() );
				}
			}
		}
		*/
		
		//受付完了後
		if( !empty( $_SESSION['accept_code'] ) ) {
			if( $_SESSION['accept_code'] == 1 ) {
				$ldd_action = 'entry';
			}elseif( $_SESSION['accept_code'] == 2 ) {
				$viewfile = 'entry_ng';
			}
		}
		
		if( empty( $_POST['ldd_action'] ) ){
			//action未設定(最初の読み込み)
			$ldd_action = 'entry';
			if( f70LddEntry::cookie_reject_check() == 'ng' ) {
				$viewfile = 'entry_ng';
			}
		} else {
			//2段階目以降
			if( $_POST['ldd_action'] == 'entry' ) {
				$data = f70LddEntry::entry_form_accept();
				if( !empty( $data['view'] ) ){
					$viewfile = $data['view'];
					$ldd_action = $data['view'];
				}
			}
		}
		
		
		if( $viewfile === 'entry_ng' ) {
			add_filter('the_content', array( 'f70LddShortcodes', 'clear_the_content'), 12);
			$ldd_action = 'entry_ng';
			include( F70_LDD__PLUGIN_DIR . 'views/' . $viewfile .'.php' );
			return;
		}
		if( $viewfile === 'accepted' ) {
			add_filter('the_content', array( 'f70LddShortcodes', 'clear_the_content'), 12);
			$ldd_action = 'accepted';
			include( F70_LDD__PLUGIN_DIR . 'views/' . $viewfile .'.php' );
			return;
		}
		
		
		ob_start();
		include( F70_LDD__PLUGIN_DIR . 'views/' . $viewfile .'.php' );
		return ob_get_clean();
		
	}
	
	static function clear_the_content($the_content){
		return;
	}
	
	function shortcode_download_tag( $atts ) {
		//ダウンロード
		$a = shortcode_atts( array(
			//'form_id'	=>	'',
		), $atts );
		return f70LddDownload::display_download();
	}
	
	
//----
}
}
?>