<?php
//print_r($atts);
?>
<h2 class="f70ldd_download_files_title"><?php echo $atts[ 'title' ] ?></h2>
<div class="f70ldd_download_files">
<?php
if ( empty( $atts[ 'download_file_id_1' ] ) ) {
	echo '<!-- no file registered -->';
	return;
}

for( $i=1; $i<=F70_LDD__FILE_SETS; $i++ ){
	if( !empty( $atts[ 'download_file_id_' . $i ] ) ) {
		$file_id = $atts[ 'download_file_id_' . $i ];
		//$download_gate_link = F70_LDD__PLUGIN_DIR_URL . '/includes/download_gate.php?id=' . $file_id;//やめた
		
		$file	=	get_attached_file( $file_id );//file path
		$file_metadata	=	wp_get_attachment_metadata( $file_id );//画像の時だけ入る？
		$file_link	=	wp_get_attachment_url( $file_id );
		
		$title = false;
		if( !empty( $file_metadata ) ) {
			if ( !empty( $file_metadata[ 'image_meta' ][ 'title' ] ) ) {
				$title = $file_metadata[ 'image_meta' ][ 'title' ];
			} elseif ( !empty( $file_metadata[ 'file' ] ) ) {
				$title = $file_metadata[ 'file' ];
			}
		} else {
			$title = get_the_title( $file_id );
			if( empty( $title ) ) {
				$title = esc_html( wp_basename( $file ) );
			}
		}
		
		$thumbnail_tag = false;
		if( !empty( $atts[ 'download_thumbnail_id_' . $i ] ) ) {
			$thumbnail_id = $atts[ 'download_thumbnail_id_' . $i ];
			$thum_metadata	=	wp_get_attachment_metadata( $thumbnail_id );
			if ( !empty( $thum_metadata ) ) {
				$thumbnail_tag = '<img src="' . wp_get_attachment_url( $thumbnail_id ) . '">';
			}
		}
		if ( empty( $thumbnail_tag ) ) {
			$thumbnail_tag = wp_get_attachment_image( $file_id, 'large', true );
		}
		
		//ファイルサイズ
		$file_size = false;
		if ( isset( $file_metadata['filesize'] ) ) {
			$file_size = $file_metadata['filesize'];
		} elseif ( file_exists( $file ) ) {
			$file_size = filesize( $file );
		}
		
		
		?>
		<div class="file">
			<div class="file-thumbnail"><?php echo $thumbnail_tag; ?></div>
			<p class="file-name"><?php echo $title; ?></p>
			<p class="file-size"><span class="tag"><?php _e( 'File Size', 'f70-lead-document-download' ); ?> : </span><?php echo size_format( $file_size ); ?></p>
			<div class="wp-block-buttons f70ldd_download_button_area">
				<div class="wp-block-button">
					<a href="<?php echo $file_link; ?>" target="_blank" class="wp-block-button__link f70ldd_download_button"><?php _e( 'Download', 'f70-lead-document-download' ); ?></a>
					<?php
					/*
					<a href="<?php echo $download_gate_link; ?>" target="_blank" class="wp-block-button__link f70ldd_download_button">Download</a>*/
					?>
				</div>
			</div>
		</div>
		<?php
	}
}
?></div>