<div class="f70ldd_entry">
<?php
if( empty( $ldd_action ) ){
	$ldd_action = 'entry';
}
$form_settings = f70LddFunctions::get_form_settings( $form_id );

if( !empty( $data['errors'] ) ) {
	
	echo '<div class="f70ldd_error"><ul>';
	foreach ( $data['errors'] as $str ) {
		echo '<li>' . $str . '</li>';
	}
	echo '</ul></div>';
}

$session_id = '';
if( !empty( $_SESSION[ 'f70ldd_entry_session' ] ) ) {
	$session_id = sanitize_text_field( $_SESSION[ 'f70ldd_entry_session' ] );
}

?>
<form action="" method="post" id="lead_document_download_entry">
<input type="hidden" name="ldd_setting_id" value="<?php echo $form_id; ?>">
<input type="hidden" name="ldd_action" value="<?php echo $ldd_action; ?>">
<input type="hidden" name="session_id" value="<?php echo $session_id; ?>">
<div class="input">
	<?php
		$attr_name = __( 'Profession', 'f70-lead-document-download' );//'職業';
		if( !empty( $form_settings[ 'attributes_anothername' ] ) ){
			$attr_name = $form_settings[ 'attributes_anothername' ];
		}
		if( !empty( $form_settings['attribute_list'] ) ){
			?>
			<label for="attribute"><?php echo $attr_name; ?></label>
				<select name="attribute">
					<option value="">--</option><?php
			foreach ( $form_settings['attribute_list'] as $att ) {
				$selected = '';
				if( isset( $data['attribute']['value'] ) && ( $att == $data['attribute']['value'] ) ){
					$selected = ' selected';
				}
				echo '<option value="' . $att . '"' . $selected . '>' . $att . '</option>';
			}?>
			</select><?php
		}
	echo '<input type="hidden" name="attribute_title" value="' . $attr_name . '">';
	if( !empty($data['attribute']['errors']) ){
		foreach( $data['attribute']['errors'] as $str ){
			echo '<span class="error">'.$str.'</span>';
		}
	}
	?>
</div>

<div class="input email">
	<label for="email"><?php _e( 'Email', 'f70-lead-document-download' ); ?></label>
	<input type="email" name="email" id="email" value="<?php
		if( !empty( $data[ 'email' ][ 'value' ] ) ) {
			echo $data[ 'email' ][ 'value' ];
		}
	?>"><?php
	if( !empty($data['email']['errors']) ){
		foreach( $data['email']['errors'] as $str ){
			echo '<span class="error">'.$str.'</span>';
		}
	} ?>
</div>
<?php
if( !empty( $form_settings['input_text_forms'] ) ){
	//print_r($form_settings['input_text_forms']);
	foreach( $form_settings['input_text_forms'] as $key => $keyset ) {
		$val = '';
		if( !empty($data[$key]['value']) ) {
			$val = $data[$key]['value'];
		}
		echo '<div class="input ' . $key . '">'
			. '<label for="' . $key . '">' . $keyset['label'] . '</label>'
			. '<input type="text" name="' . $key . '" value="' . $val . '" id="' . $key . '">';
		echo '<input type="hidden" name="' . $key . '_title" value="' . $keyset['label'] . '">';
		//エラー表示
		if( !empty($data[$key]['errors']) ){
			foreach( $data[$key]['errors'] as $str ){
				echo '<span class="error">'.$str.'</span>';
			}
		}
		echo '</div>';
	}
}
?>


<div class="submit">
	<input type="submit">
</div>
</form>

</div>